Package uk.ac.starlink.vo

## Enum TapServiceFinder.Target

- java.lang.Object
- - java.lang.Enum<TapServiceFinder.Target>
  - - uk.ac.starlink.vo.TapServiceFinder.Target

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TapServiceFinder.Target>`
  Enclosing interface:
    TapServiceFinder

      public static enum TapServiceFinder.Target
      extends java.lang.Enum<TapServiceFinder.Target>

  Enumerates those metadata items against which search terms can be matched.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SERVICE_META` | Service name.
    `TABLE_DESCRIP` | Table description.
    `TABLE_NAME` | Table name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` | Returns the name to be used for identifying this target in the user interface.
    `static TapServiceFinder.Target` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TapServiceFinder.Target[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TABLE_NAME

          public static final TapServiceFinder.Target TABLE_NAME

      Table name.

    - #### TABLE_DESCRIP

          public static final TapServiceFinder.Target TABLE_DESCRIP

      Table description.

    - #### SERVICE_META

          public static final TapServiceFinder.Target SERVICE_META

      Service name.

  - ### Method Detail

    - #### values

          public static TapServiceFinder.Target[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TapServiceFinder.Target c : TapServiceFinder.Target.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TapServiceFinder.Target valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Returns the name to be used for identifying this target in the user interface.
      Returns:
        display name